org.eclipse.ease.debugging.model

## Class EaseJavaFieldVariable

- java.lang.Object
- - org.eclipse.ease.debugging.model.EaseDebugVariable
  - - org.eclipse.ease.debugging.model.EaseJavaFieldVariable

All Implemented Interfaces:
  java.lang.Comparable<EaseDebugVariable>, IAdaptable, IDebugElement, IValueModification, IVariable

    public class EaseJavaFieldVariable
    extends EaseDebugVariable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.model.EaseDebugVariable

`EaseDebugVariable.Type`

### Constructor Summary

Constructors
Constructor and Description
`EaseJavaFieldVariable(java.lang.reflect.Field field, java.lang.Object backingJavaObject, IDebugElement parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getReferenceTypeName()`
`EaseDebugVariable.Type` `getType()`
`boolean` `isFinal()`
`boolean` `isPrivate()`
`boolean` `isProtected()`
`boolean` `isPublic()`
`void` `setValue(java.lang.String expression)`
`boolean` `supportsValueModification()`

### Methods inherited from class org.eclipse.ease.debugging.model.EaseDebugVariable

`compareTo, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getName, getValue, hasValueChanged, setParent, setType, setValue, toString, update, verifyValue, verifyValue`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EaseJavaFieldVariable

    public EaseJavaFieldVariable(java.lang.reflect.Field field,
                                 java.lang.Object backingJavaObject,
                                 IDebugElement parent)
                          throws java.lang.IllegalArgumentException,
                                 java.lang.IllegalAccessException

Throws:
  `java.lang.IllegalArgumentException`
  `java.lang.IllegalAccessException`

### Method Detail

#### getReferenceTypeName

    public java.lang.String getReferenceTypeName()

Specified by:
  `getReferenceTypeName` in interface `IVariable`
Overrides:
  `getReferenceTypeName` in class `EaseDebugVariable`

#### getType

    public EaseDebugVariable.Type getType()

Overrides:
  `getType` in class `EaseDebugVariable`

#### isPublic

    public boolean isPublic()

#### isProtected

    public boolean isProtected()

#### isPrivate

    public boolean isPrivate()

#### isFinal

    public boolean isFinal()

#### setValue

    public void setValue(java.lang.String expression)
                  throws DebugException

Specified by:
  `setValue` in interface `IValueModification`
Overrides:
  `setValue` in class `EaseDebugVariable`
Throws:
  `DebugException`

#### supportsValueModification

    public boolean supportsValueModification()

Specified by:
  `supportsValueModification` in interface `IValueModification`
Overrides:
  `supportsValueModification` in class `EaseDebugVariable`